# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LoadWriter3DS Class Reference

The LoadWriter3DS class is a ResourceLoadWriter capable of reading 3DS files. More...

`#include <vl3DS.hpp>`

Inheritance diagram for vl::LoadWriter3DS:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| LoadWriter3DS ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &path, ResourceDatabase *resource) const
bool | writeResource (VirtualFile *file, ResourceDatabase *resource) const

## Detailed Description

The LoadWriter3DS class is a ResourceLoadWriter capable of reading 3DS files.

## Constructor & Destructor Documentation

vl::LoadWriter3DS::LoadWriter3DS | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::LoadWriter3DS::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::ResourceLoadWriter.

ref<ResourceDatabase> vl::LoadWriter3DS::loadResource | ( | const String & | path | ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

ref<ResourceDatabase> vl::LoadWriter3DS::loadResource | ( | VirtualFile * | file | ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

bool vl::LoadWriter3DS::writeResource | ( | const String & | path,
|  | ResourceDatabase * | resource |
| ) |  |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

bool vl::LoadWriter3DS::writeResource | ( | VirtualFile * | file,
|  | ResourceDatabase * | resource |
| ) |  |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vl3DS.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:46 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.